/* 
 * Real-Time and Multimedia Systems Laboratory
 * Copyright (c) 2000 Carnegie Mellon University
 * All Rights Reserved.
 * 
 * Permission to use, copy, modify and distribute this software and its
 * documentation is hereby granted, provided that both the copyright
 * notice and this permission notice appear in all copies of the
 * software, derivative works or modified versions, and any portions
 * thereof, and that both notices appear in supporting documentation.
 * 
 * CARNEGIE MELLON ALLOWS FREE USE OF THIS SOFTWARE IN ITS "AS IS"
 * CONDITION.  CARNEGIE MELLON DISCLAIMS ANY LIABILITY OF ANY KIND FOR
 * ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 * 
 * Carnegie Mellon requests users of this software to return to
 * 
 *  Real-Time and Multimedia Systems Laboratory
 *  Attn: Prof. Raj Rajkumar
 *  Electrical and Computer Engineering, and Computer Science
 *  Carnegie Mellon University
 *  Pittsburgh PA 15213-3890
 *
 *  or via email to raj@ece.cmu.edu
 * 
 * any improvements or extensions that they make and grant Carnegie Mellon
 * the rights to redistribute these changes.
 */
/* Cleanup Module
 * developed by Saowanee Saewong
 * Friday Sept 8 , 2000
 */
#include <stdlib.h>
#include <stdio.h>
#include <rk/rk.h>

void usage(char *prog) {
  printf("To enable /disable CSS \n");
  printf("Usage: %s [on =1 /off = 0] \n", prog);
  exit(1);
}

int 
main(int argc, char *argv[]) 
{
  int css_on;
  if (argc != 2) usage(argv[0]);
  css_on = atoi(argv[1]);
  rk_disk_set_css(css_on);
  return 1;
}
